=== debian/changelog ===
alien-arena (7.40-2) unstable; urgency=low

  * Fix bashism in launch-server script (closes: #581481).
  * Add dependency on libopenal1 (closes: #588088).
  * Bump standards version to 3.9.1 (no changes required).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 25 Jul 2010 23:11:55 -0400

alien-arena (7.40-1) unstable; urgency=low

  * New upstream release
    - Five new maps!
    - Two new weapon models.
    - Improvements to the renderer.
    - A variety of gameplay changes and tweaks.
    - Antilag bugfixes.
    - Revamped menu.
  * Drop security patches (all of them have been applied upstream now).
  * The watch file is currently broken and unfixable due to upstream's file
    naming scheme for this version (they have indicated that they will fix
    this in future releases).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 07 May 2010 22:09:24 -0400

alien-arena (7.33-6) unstable; urgency=high

  * Fix a client buffer overflow vulnerability.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 18 Apr 2010 17:44:27 -0400

alien-arena (7.33-5) unstable; urgency=high

  * Fix a server denial-of-service issue: clients were able crash the server
    with a malformed "download" command (closes: #575621).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 02 Apr 2010 18:39:50 -0400

alien-arena (7.33-4) unstable; urgency=low

  * Apply patch to support kfreebsd architectures (closes: #573790).
    - Thanks to Cyril Brulebois for the patch!

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 13 Mar 2010 20:33:43 -0500

alien-arena (7.33-3) unstable; urgency=low

  * Use dos2unix instead of tofrodos since it has been removed.
  * Bump standards version to 3.8.4 (no changes required).
  * Update launch-server and kill-runaway-crded scripts to use new config
    file location.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 13 Mar 2010 11:58:37 -0500
