=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>= 5), sharutils, dos2unix, libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev, libjpeg62-dev | libjpeg-dev, libpng12-dev | libpng-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev, libx11-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libopenal-dev, libvorbis-dev
Standards-Version: 3.9.1
Homepage: http://red.planetarena.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log

Package: alien-arena
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version}), libopenal1
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version}), ruby
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.

Package: alien-arena-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-data (>= ${source:Upstream-Version})
Replaces: alien-arena (<< 7.33-1)
Description: Common files for Alien Arena client and server
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the common files for Alien Arena.
