=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Used for cross-compiling.
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   OPTIMIZED_CFLAGS=no
else
   OPTIMIZED_CFLAGS=yes
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   TYPE=release
else
   TYPE=debug
endif

fromdos: fromdos-stamp
fromdos-stamp:
	dh_testdir
	dos2unix source/server/sv_main.c
	touch fromdos-stamp

build: fromdos build-stamp
build-stamp:
	dh_testdir
	cd source && \
		$(MAKE) build-$(TYPE) \
		OPTIMIZED_CFLAGS=$(OPTIMIZED_CFLAGS) CC=$(DEB_HOST_GNU_TYPE)-gcc
	touch build-stamp

clean: clean-patched todos
clean-patched:
	dh_testdir
	dh_testroot
	cd source && $(MAKE) uninstall distclean
	dh_clean
	[ ! -f build-stamp ] || rm build-stamp

todos:
	dh_testdir
	unix2dos source/server/sv_main.c
	[ ! -f fromdos-stamp ] || rm fromdos-stamp

install: build
	dh_testdir
	dh_testroot
	dh_install
# Rename png icon
	uudecode -o \
		debian/alien-arena/usr/share/pixmaps/alien-arena.png \
		debian/alien-arena.png.uu

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -palien-arena
	dh_strip -palien-arena-server
	dh_strip -palien-arena-common
endif
	dh_installchangelogs -a
	dh_installdocs -a -Xlicense.txt
	dh_installman -palien-arena debian/alien-arena.6
	dh_installman -palien-arena-server debian/alien-arena-server.6
	dh_installdirs -a
	dh_link -a
	dh_installmenu -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install
