## alien-arena 7.51

=== debian/changelog ===
alien-arena (7.51-3) unstable; urgency=low

  * Team upload.
  * Make alien-arena and alien-arena-server binary packages depend on
    alien-arena-data. This allows users' to have working installation of the
    game after they apt-get install alien-arena or alien-arena-server.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 06 Jun 2011 13:42:17 +0200

alien-arena (7.51-2) unstable; urgency=low

  * Team upload.
  * Fix typo in /usr/share/applications/alien-arena.desktop. Thanks to Andrea
    Carpineti for the patch! (Closes: #619887)
  * Add an Italian translation to /usr/share/applications/alien-arena.desktop.
    Thanks again to Andrea Carpineti!
  * Add a German translation to /usr/share/applications/alien-arena.desktop.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 28 Mar 2011 16:11:13 +0200

alien-arena (7.51-1) unstable; urgency=low

  * New upstream release.
    - Refresh debianization patches.
    - Use new "COR_GAME" environment variable to set config location.
    - Drop a lot of patches due to new upstream features and new build system.
    - Remove alien-arena-common package as its no longer needed.
  * Update watch file to support new upstream naming scheme.
  * Update upstream tarball script to support upstream changes.
  * Delete png icon (using xpm file instead).
  * Delete security patches, which were already unapplied in 7.40, but were
    still present in the source.
  * Use new simplifed debian/rules format.
  * Set dm-upload-allowed.
  * Build-depend on libfreetype6-dev.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 13 Mar 2011 14:05:15 -0400
