=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/\-.*$//g" \
http://icculus.org/alienarena/Files/alienarena-(.*)\-*.tar.gz
