## alien-arena 7.53+dfsg

=== debian/changelog ===
alien-arena (7.53+dfsg-3) unstable; urgency=low

  * update my email address.
  * fix watch file mangling (closes: #671685).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 07 May 2012 13:29:57 -0400

alien-arena (7.53+dfsg-2) unstable; urgency=low

  * fix data path link creation (closes: #655031).
  * build-depend only on libpng-dev (closes: #662265).
  * bump standards version to 3.9.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 05 Apr 2012 16:20:05 -0400

alien-arena (7.53+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2.
  * Update tarball cleaning scripts.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 29 Dec 2011 16:27:28 -0500

alien-arena (7.51-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev (Closes: #648303).

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Nov 2011 09:59:28 +0100
