=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: contrib/games
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
+Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
 Build-Depends:
  debhelper (>= 8),
  sharutils,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev,
- libjpeg62-dev | libjpeg-dev,
- libpng12-dev | libpng-dev,
+ libjpeg-dev,
+ libpng-dev,
  libxxf86vm-dev, libxxf86dga-dev,
  libxext-dev,
  libx11-dev,
@@ -17,10 +17,10 @@
  libopenal-dev,
  libvorbis-dev,
  libfreetype6-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://red.planetarena.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log
 
 Package: alien-arena
