## alien-arena 7.66%2Bdfsg

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/\-.*$//g,dversionmangle=s/\+dfsg$//g" \
http://icculus.org/alienarena/Files/alienarena-(.*)\-*.tar.gz
