=== debian/changelog ===
alien-arena (7.66+dfsg-5) unstable; urgency=medium

  * Team upload
  * Convert from svn to git
    - Update Vcs-*
    - Add debian/gbp.conf
  * Replace deprecated Priority: extra with Priority: optional

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 22:59:52 +0100

alien-arena (7.66+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add gcc7.patch and fix FTBFS with GCC 7. (Closes: #871218)
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.
  * Vcs-Browser: Use https.
  * Drop deprecated menu file and xpm icon.
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Aug 2017 23:35:09 +0200

alien-arena (7.66+dfsg-3) unstable; urgency=medium

  * Install the desktop file again (closes: #791780).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2016 03:55:38 +0000

alien-arena (7.66+dfsg-2) unstable; urgency=medium

  * Enable all build hardening flags.
  * Add pkg-config build-dependency (closes: #749665).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 05:27:22 +0000

alien-arena (7.66+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for powerpc (closes: #446515).
  * Game launching should be more reliable now (closes: #700705).
  * Include alien-arena icon in menus (closes: #727024).
  * Use dh-autoreconf (closes: #727843).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Mar 2014 03:17:16 +0000
