=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper (>= 10),
 sharutils,
 libglu1-mesa-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libxxf86vm-dev,
 libxxf86dga-dev,
 libxext-dev,
 libx11-dev,
 libcurl4-gnutls-dev,
 libopenal-dev,
 libvorbis-dev,
 libfreetype6-dev,
 pkg-config,
Standards-Version: 4.0.1
Homepage: http://red.planetarena.org
Vcs-Git: https://salsa.debian.org/games-team/alien-arena.git
Vcs-Browser: https://salsa.debian.org/games-team/alien-arena

Package: alien-arena
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libopenal1,
 alien-arena-data,
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
 from the original source code of Quake II and Quake III, released by id
 Software under the GPL license. With features including 32-bit graphics, a new
 particle engine and effects, light blooms, reflective water, hi-resolution
 textures and skins, and hi-poly models and stain maps, ALIEN ARENA pushes the
 envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ruby,
 alien-arena-data,
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
 from the original source code of Quake II and Quake III, released by id
 Software under the GPL license. With features including 32-bit graphics, a new
 particle engine and effects, light blooms, reflective water, hi-resolution
 textures and skins, and hi-poly models and stain maps, ALIEN ARENA pushes the
 envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.
