## alien-arena 7.71.3+dfsg

=== debian/changelog ===
alien-arena (7.71.3+dfsg-3) unstable; urgency=medium

  * Team upload.  
  * change default irc server
  * Force http 1.1 for http download

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sun, 12 Feb 2023 17:25:03 +0100

alien-arena (7.71.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  
  [ Michael Gilbert ]
  * Remove myself from the uploaders.

  [ Raoul de Raadt ]
  * Patch for odeconfig.h to fix build issues for other architectures

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sun, 05 Feb 2023 22:37:15 +0100

alien-arena (7.71.3+dfsg-1) unstable; urgency=medium

  [ Phil Morrell ]
  * Team upload.
  * monitor svn tags for new versions
  * use copyright-format 1.0
  * use Files-Excluded, drop create-upstream-tarballs

  [ Raoul de Raadt ]
  * Changed copyright file according to 7.71.3
  * Removed old patches and exclude adivtab.h
  * New upstream version 7.71.3

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sat, 21 Jan 2023 13:48:59 +0100

alien-arena (7.66+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Convert from svn to git.
      - Update Vcs-*
      - Add debian/gbp.conf

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Remove obsolete NEWS file.
  * Work around FTBFS with GCC 10 by building with -fcommon. (Closes: #966190)

 -- Markus Koschany <apo@debian.org>  Sun, 04 Oct 2020 16:17:17 +0200
