=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
+Uploaders: Barry deFreese <bddebian@comcast.net>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  sharutils,
  libglu1-mesa-dev,
  libgl1-mesa-dev,
@@ -19,8 +19,8 @@
  libvorbis-dev,
  libfreetype6-dev,
  pkg-config,
-Standards-Version: 4.0.1
-Homepage: http://red.planetarena.org
+Standards-Version: 4.5.0
+Homepage: https://martianbackup.com
 Vcs-Git: https://salsa.debian.org/games-team/alien-arena.git
 Vcs-Browser: https://salsa.debian.org/games-team/alien-arena
 
@@ -30,7 +30,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libopenal1,
- alien-arena-data,
+ alien-arena-data (>= 7.71.3~),
 Description: Standalone 3D first person online deathmatch shooter
  ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
  from the original source code of Quake II and Quake III, released by id
@@ -47,7 +47,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ruby,
- alien-arena-data,
+ alien-arena-data (>= 7.71.3~),
 Description: Dedicated server for Alien Arena
  ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
  from the original source code of Quake II and Quake III, released by id
