=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh ${@}

override_dh_clean:
	dh_clean -- aclocal.m4 config.log configure game_data.am Makefile.in
	rm -rf config

override_dh_missing:
	dh_missing --list-missing
